Method: projects.locations.servers.users.list

Lists Users in a given project and location.

HTTP request

GET https://ftp.googleapis.com/v1/{parent=projects/*/locations/*/servers/*}/users

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListUsersRequest

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. User may return fewer items than requested. The maximum value is 1000; The default value is 50 if the field is omitted (or set to 0).

pageToken

string

Optional. A token identifying a page of results the user should return.

filter

string

Optional. Filtering results

orderBy

string

Optional. Hint for how to order the results

view

enum (UserView)

Optional. The view of the User resource to return.

Request body

The request body must be empty.

Response body

Message for response to listing Users

If successful, the response body contains data with the following structure:

JSON representation
{
  "users": [
    {
      object (User)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
users[]

object (User)

The list of User

nextPageToken

string

A token identifying a page of results the user should return.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • ftp.users.list

For more information, see the IAM documentation.